/**
 * Constants representing the state of the server itself or the state of publishing to the server
 */
export declare namespace ServerState {
    /**
     * Server state constant (value 0) indicating that the
     * server is in an unknown state.
     */
    const UNKNOWN = 0;
    /**
     * Server state constant (value 1) indicating that the
     * server is starting, but not yet ready to serve content.
     */
    const STARTING = 1;
    /**
     * Server state constant (value 2) indicating that the
     * server is ready to serve content.
     */
    const STARTED = 2;
    /**
     * Server state constant (value 3) indicating that the
     * server is shutting down.
     */
    const STOPPING = 3;
    /**
     * Server state constant (value 4) indicating that the
     * server is stopped.
     */
    const STOPPED = 4;
    /**
     * Publish state constant (value 0) indicating that it's
     * in an unknown state.
     */
    const PUBLISH_STATE_UNKNOWN = 0;
    /**
     * Publish state constant (value 1) indicating that there
     * is no publish required.
     */
    const PUBLISH_STATE_NONE = 1;
    /**
     * Publish state constant (value 2) indicating that an
     * incremental publish is required.
     */
    const PUBLISH_STATE_INCREMENTAL = 2;
    /**
     * Publish state constant (value 3) indicating that a
     * full publish is required.
     */
    const PUBLISH_STATE_FULL = 3;
    /**
     * Publish kind constant (value 1) indicating an incremental publish request.
     */
    const PUBLISH_INCREMENTAL = 1;
    /**
     * Publish kind constant (value 2) indicating a full publish request.
     */
    const PUBLISH_FULL = 2;
    /**
     * Publish kind constant (value 3) indicating an automatic publish request.
     */
    const PUBLISH_AUTO = 3;
    /**
     * Publish kind constant (value 4) indicating a publish clean request
     */
    const PUBLISH_CLEAN = 4;
}
